
. ./conf-build

#ETCDIR="CONFDIR"   #"/etc/qemu"
#PREFIX="$BINDIR"  #"/usr/local"

#echo B: $BINDIR
#echo E: $ETCDIR
#echo M: $MANDIR
#exit
#[ -f instdir.tmp ] && INSTDIR=`cat instdir.tmp`

[ -d "$BINDIR" ] || mkdir -p "$BINDIR"

cp qemu-init    "$BINDIR"
cp qemu-adm     "$BINDIR"
cp qemu-cmd     "$BINDIR"
cp -d qemu-mon  "$BINDIR"
cp qtcpclient   "$BINDIR"
cp qtcpconn-io  "$BINDIR"
# 'qtcpconn' was removed from package
[ -f "$BINDIR/qtcpconn" ] && rm "$BINDIR/qtcpconn"

# check location
[ -d "$ETCDIR" ] || mkdir -p "$ETCDIR"
cp qemu-netif $BINDIR
ln -sf $BINDIR/qemu-netif $ETCDIR/qemu-brup
ln -sf $BINDIR/qemu-netif $ETCDIR/qemu-brdown

cp qemud $BINDIR
ln -sf $BINDIR/qemud /etc/init.d/qemud

[ -d "$ETCDIR" ] || mkdir -p "$ETCDIR"
cp -n monitor.conf    "$ETCDIR"
cp -n qemu-init.reg   "$ETCDIR"
cp template-qemu.cfg  "$ETCDIR"

#
[ -d "$MANDIR/man1" ] || mkdir -p "$MANDIR/man1"
[ -d "$MANDIR/man8" ] || mkdir -p "$MANDIR/man8"
cp qemu-adm.8 $MANDIR/man8
cp qemu-cmd.8 $MANDIR/man8
cp qemu-mon.8 $MANDIR/man8
cp qemud.8    $MANDIR/man8

# link qtcp* --> qemu-init.1
